6.0.0-git
2019-05-27

[#5124] Allowing the Kolab module to use the PHP c-client library for IMAP access
Summary Allowing the Kolab module to use the PHP c-client library for IMAP access
Queue Horde Framework Packages
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners
Requester wrobel (at) pardus (dot) de
Created 2007-03-15 (4456 days ago)
Due
Updated 2007-03-22 (4449 days ago)
Assigned
Resolved 2007-03-22 (4449 days ago)
Milestone
Patch No

History
2007-03-22 11:02:59 Jan Schneider Comment #10 Reply to this comment
Committed.
2007-03-22 10:17:01 wrobel (at) pardus (dot) de Comment #9
New Attachment: framework-Kolab-Kolab-IMAP.php_IMAP-whitespace_20070322.patch Download
Reply to this comment
I realized that I still had some syntax issues in the IMAP code. Sorry 
for that. Patch attached.
2007-03-22 03:13:14 Chuck Hagenbuch Comment #8
State ⇒ Resolved
Reply to this comment
Committed, thanks!
2007-03-22 03:09:08 Chuck Hagenbuch Deleted Original Message
 
2007-03-22 02:57:45 Chuck Hagenbuch Deleted Original Message
 
2007-03-22 02:57:34 Chuck Hagenbuch Deleted Original Message
 
2007-03-20 07:49:26 wrobel (at) pardus (dot) de Comment #7
New Attachment: cclient[2].php Download
Reply to this comment
The last fix in the getMailboxes function within cclient.php used PHP5 
functionality and I did check it on PHP4 only now. Fixed.
2007-03-19 10:41:03 wrobel (at) pardus (dot) de Comment #6
New Attachment: cclient[1].php
Reply to this comment
In addition I realized that I used a completely incorrect way of 
returning the folder names within getMailboxes() in cclient.php. 
Updated file attached.
2007-03-19 10:39:45 wrobel (at) pardus (dot) de Comment #5
New Attachment: framework-Kolab-Kolab-IMAP.php_IMAP-split_20070319.patch Download
Reply to this comment
Why is XML.php being added to the package.xml file?
Sorry, I missed that line.  This file is from the next step that I am 
still working on. Corrected patch attached.
2007-03-19 00:54:50 Matt Selsky Comment #4
State ⇒ Feedback
Reply to this comment
Why is XML.php being added to the package.xml file?
2007-03-15 14:52:37 wrobel (at) pardus (dot) de Comment #3
New Attachment: pear.php Download
Reply to this comment
pear library
2007-03-15 14:52:13 wrobel (at) pardus (dot) de Comment #2
New Attachment: cclient.php
Reply to this comment
cclient library
2007-03-15 14:51:36 wrobel (at) pardus (dot) de Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Allowing the Kolab module to use the PHP c-client library for IMAP access
Queue ⇒ Horde Framework Packages
New Attachment: framework-Kolab-Kolab-IMAP.php_IMAP-split_20070315.patch
Reply to this comment
The attached patch moves the IMAP connection within Kolab/IMAP.php to 
an external class that allows to switch between using PEAR Net_IMAP 
and the PHP c-client implementation.

Saved Queries